reinstantiate dropped changelog entries on next upload

Bug #124018 reported by Alexander Sack on 2007-07-04
2
Affects Status Importance Assigned to Milestone
network-manager (Ubuntu)
Undecided
Alexander Sack

Bug Description

Binary package hint: network-manager

here the changelog entries to readd - resurrected from http://changelogs.ubuntu.com/changelogs/pool/main/n/network-manager/network-manager_0.6.3-2ubuntu7/changelog:

network-manager (0.6.3-2ubuntu7) feisty; urgency=low

  * Add debian/patches/00upstream-ftbfs.patch:
    - Fix dbus version check in src/NetworkManagerDbus.c to work with dbus
      1.0.
    - src/nm-netlink-monitor.c: Standard fix for new if_addr.h world order.
    - These issues are already fixed in the currently pending Debian merge, so
      this patch can go away soon.
  * Add debian/patches/13_avahi-autoipd.patch:
    - src/nm-device.c: Do not use the internal get_autoip() function, but
      instead check if avahi-autoipd was engaged for the interface and do not
      meddle with the settings in that case. This is in accordance with
      upstream who wants to completely throw away the internal IPv4LL code.
    - src/dhcp-manager/nm-dhcp-manager.c: Raise DHCP timeout from 45 seconds
      to 99 seconds, thus effectively disabling it. We want to use
      dhclient.conf's timeout configuration; if that happens to be longer, we
      interrupt dhclient while it's still working and get confused if the IP
      suddenly changes underneath us.
    - src/dhcp-manager/nm-dhcp-manager.c: Treat DHCDBD_FAIL like
      DHCDBD_TIMEOUT, i. e. continue with stage 4 of device activation
      (IPv4LL address assignment) instead of giving up and trying all over
      again. Since dhcdbd calls dhclient in single-shot mode (-1), it will
      never return with TIMEOUT, only with FAILURE, and we want to go into
      zeroconf mode instead of being stuck in an endless retry loop.
    - See https://wiki.ubuntu.com/ZeroConfNetworking for details.

 -- Martin Pitt <email address hidden> Wed, 6 Dec 2006 16:42:54 +0100

network-manager (0.6.3-2ubuntu6) edgy; urgency=low

  * ndiswrapper uses the stock wext driver now, so remove that bit of the
    10-rml-wpa-workarounds.patch. Adjust
    11-j-hostap-supplicant-driver.patch appropriately. Malone: #46136

 -- Tollef Fog Heen <email address hidden> Tue, 17 Oct 2006 13:17:59 +0200

network-manager (0.6.3-2ubuntu5) edgy; urgency=low

  * Rebuild against dbus 0.90
  * debian/patches/12_dbus0.9.patch:
    + s/dbus_connection_disconnect/dbus_connection_close/g

 -- Sebastian Dröge <email address hidden> Thu, 24 Aug 2006 18:09:06 +0200

network-manager (0.6.3-2ubuntu4) edgy; urgency=low

  * Correct network manager to not touch resolv.conf, accidentally dropped
    during the merge.

 -- Scott James Remnant <email address hidden> Tue, 22 Aug 2006 09:16:37 +0200

network-manager (0.6.3-2ubuntu3) edgy; urgency=low

  * debian/rules:
    - Add dh_iconcache to network-manager-gnome.

 -- Christian Bjälevik <email address hidden> Sun, 6 Aug 2006 12:32:52 +0200

network-manager (0.6.3-2ubuntu2) edgy; urgency=low

  * Fix packaging so that the workaround patch isn't already applied, thus
    breaking the builds.

 -- Scott James Remnant <email address hidden> Sun, 30 Jul 2006 23:24:43 +0100

network-manager (0.6.3-2ubuntu1) edgy; urgency=low

  * Merge with debian unstable, using Debian packaging as a base.
    Remaining changes:
    - our HAL daemon runs as the "haldaemon" user, not "hal",
    - use at_console="true" instead of netdev,
    - retain rml's workarounds patch,
    - retain j's hostap patch.

 -- Scott James Remnant <email address hidden> Wed, 12 Jul 2006 22:13:20 +0100

Alexander Sack (asac) on 2007-07-04
description: updated
Changed in network-manager:
assignee: nobody → asac
status: New → Confirmed
Alexander Sack (asac) on 2007-07-30
Changed in network-manager:
status: Confirmed → Triaged
Alexander Sack (asac) on 2007-09-10
Changed in network-manager:
status: Triaged → In Progress
Alexander Sack (asac) on 2007-09-18
Changed in network-manager:
status: In Progress → Fix Committed
Alexander Sack (asac) wrote :

network-manager (0.6.5-0ubuntu12) gutsy; urgency=low

  * debian/patches/05-debian_backend.patch: don't manage auto/allow-* dhcp
    interfaces anymore (LP: #139403).
    - debian/ifblacklist_migrate.sh: new helper script that blacklists
      auto/allow-* dhcp interfaces without any options.
    - debian/network-manager.install: install helper script to $pkglibdir
    - debian/network-manager.postinst: run ifblacklist_migrate.sh during
      configure when upgrading from versions "lt-nl" 0.6.5-0ubuntu12.
  * debian/changelog: add merge-dropped changelog entries for 0.6.3-2ubuntuX
    revision series (LP: #124018)
  * debian/patches/25_lp90267-dont-tear-down-upped-interfaces.patch,series:
    drop this patch, so nm is allowed to tear down upped interfaces during
    startup again.

 -- Alexander Sack <email address hidden> Wed, 19 Sep 2007 18:38:17 +0200

Changed in network-manager:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers